package com.findme;

import com.findme.beans.User;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;

public class FindMeActivity extends Activity {
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if(((FindMeApp) this.getApplication()).getSessionId().equals("")) {
			Intent i = new Intent(this, LoginActivity.class);
			startActivity(i);
		}
	}
	
	@Override
    public boolean onCreateOptionsMenu(Menu menu) {
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.menu, menu);
        return true;
    }
    
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
    	Intent i = null;
        switch (item.getItemId()) {
        case R.id.map:
        	i = new Intent(this, MapTab.class);
        	User usuari = ((FindMeApp) this.getApplication()).getUsuario();
        	i.putExtra("usuari", usuari);
        	break;
        case R.id.friends:
        	i = new Intent(this, FriendsTab.class);
        	//i = new Intent(this, FriendsListView.class);
        	break;
        case R.id.options:
        	//i = new Intent(this, OptionsActivity.class);
        	i = new Intent(this, OptionsTab.class);
        	break;
        case R.id.about:
        	i = new Intent(this, AboutActivity.class);
            break;
        default:
            return super.onOptionsItemSelected(item);
        }
    	startActivity(i);
    	return true;
    }
    
    /*protected void onResume() {
    	if(((FindMeApp) this.getApplication()).getSessionId().equals("")) {
			Intent i = new Intent(this, LoginActivity.class);
			startActivity(i);
		}
    }*/

}
