package com.findme;

import java.util.ArrayList;

import org.xmlpull.v1.XmlPullParser;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

import com.findme.beans.User;
import com.findme.utils.Alerta;

public class FriendsListView extends ListActivity {
	private static final String LOGTAG = "FindMe-FriendsListView";
	
	private ArrayList<User> usuarios;
	private int iUserSelected = 1; // Por defecto
	
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		
		/*carregaUsuaris();
		
		super.onCreate(savedInstanceState);
		
		String[] COUNTRIES = new String[] { "Virginia", "Xavi", "SageEurowin" };

		setListAdapter(new ArrayAdapter<String>(this, R.layout.list_item, COUNTRIES));

		ListView lv = getListView();
		lv.setTextFilterEnabled(true);

		lv.setOnItemClickListener(new OnItemClickListener() {
		    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
	            //carregaUsuari((String) ((TextView) view).getText());
		    	iUserSelected = position;
        		carregaUsuari(usuarios.get(iUserSelected));
		    }
		});*/
	
		
		
		
		// Inicializamos ArrayList de usuarios
        /*List<User> llista = new ArrayList<User>();
		llista.add(new User(1, "Proveedor1", "11111111-H"));
		llista.add(new User(2, "Proveedor2", "22222222-J"));
		llista.add(new User(3, "Proveedor3", "33333333-P"));
		llista.add(new User(4, "Proveedor4", "44444444-A"));
		llista.add(new User(5, "Proveedor5", "55555555-K"));*/
		
		/*String[] menuCols = new String[] { "name", "email" };
		MatrixCursor menuCursor = new MatrixCursor(menuCols);
		startManagingCursor(menuCursor);
		for(int i=0;i<llista.size();i++) {
			llista.get(i);
			menuCursor.addRow(new Object[] { User.getName(), User.getEmail() });
		}
		
		
	  // Now create a new list adapter bound to the cursor.
      // SimpleListAdapter is designed for binding to a Cursor.
      ListAdapter adapter = new SimpleCursorAdapter(
              this, // Context.
              R.layout.list_row,  // Specify the row template to use (here, two columns bound to the two retrieved cursorrows).
              menuCursor,                                              // Pass in the cursor to bind to.
              new String[] {User.getName(), User.getEmail()},           // Array of cursor columns to bind to.
              new int[] {android.R.id.text1, android.R.id.text2});  // Parallel array of which template objects to bind to those columns.

      // Bind to our new adapter.
      setListAdapter(adapter);*/
		
		
		super.onCreate(savedInstanceState);
		
		usuarios = ((FindMeApp) this.getApplication()).getFriends();
		if (usuarios != null){
			ArrayAdapter<String> aAdapter=new ArrayAdapter<String>(this, R.layout.list_item, getFriends());
	        setListAdapter(aAdapter);
			
	        ListView lv = getListView();
	        lv.setTextFilterEnabled(true);
	        lv.setOnItemClickListener(new OnItemClickListener() {
	        	public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
	        		iUserSelected = position;
	        		carregaUsuari(usuarios.get(iUserSelected));
	        	}
	        });
		}
	}
	
	protected void carregaUsuari(User usuari) {
    	Alerta.toast(this, "Searching for "+usuari.getName());
    	Intent i = new Intent(this, HomeMapActivity.class);
    	i.putExtra("usuari", usuari);
    	startActivity(i);
	}
	
	 //Funcion que recupera el nom dels usuaris en un ArrayList
    private ArrayList<String> getFriends(){
    	ArrayList<String> aListaTitulos = new ArrayList<String>();
    	
    	//aListaTitulos.add("Seleccione name");
    	
    	for (int i=0; i<usuarios.size(); i++){
    		aListaTitulos.add(usuarios.get(i).toString());
    	}
    	return aListaTitulos;
    }
	
	// Funcion que recupera y almacena los datos desde el xml usuarios
    /*private boolean carregaUsuaris(){
    	
        boolean bReturn = true; // Inicializamos valor de retorno
    	XmlPullParser parser = getResources().getXml(R.xml.friends); // Obtenemos recurso xml
       
        try { // Parseamos XML 
            while (parser.next() != XmlPullParser.END_DOCUMENT) {
                String name = parser.getName();
                int id = 0;
                String userName = null;
                String email = null;
                String longitud = null;
                String latitud = null;
                
                if ((name != null) && name.equals("usuario")) {
                    int size = parser.getAttributeCount();
                    for (int i = 0; i < size; i++) {
                        String attrName = parser.getAttributeName(i);
                        String attrValue = parser.getAttributeValue(i);
                        
                        if ((attrName != null) && attrName.equals("id")) {
                            id = Integer.parseInt(attrValue);
                        } else if ((attrName != null) && attrName.equals("name")) {
                        	userName = attrValue;
                        } else if ((attrName != null) && attrName.equals("email")) {
                            email = attrValue;
                        } else if ((attrName != null) && attrName.equals("longitud")) {
                        	longitud = attrValue;
                        } else if ((attrName != null) && attrName.equals("latitud")) {
                        	latitud = attrValue;
                        }
                    }
                    if ((name != null) && (email != null)) {
                        usuarios.add(new User(id,userName,email,longitud,latitud,true));
                    }
                }                
            }            
        } catch (Exception e) { // Error
            Log.e(FriendsListView.LOGTAG, e.getMessage(), e);
            bReturn = false; 
        }  
        return bReturn;
    }*/
    
   
}
