package com.findme;

import com.findme.beans.User;

import android.app.Activity;
import android.app.TabActivity;
import android.content.Intent;
import android.content.res.Resources;
import android.os.Bundle;
import android.widget.TabHost;
import android.widget.TabHost.TabSpec;

public class MapTab extends TabActivity {
	static private TabHost mTabHost;
    private Resources mResources;	
    static private Activity gActivity = null;	
    @Override
    public void onCreate(Bundle savedInstanceState) {
       super.onCreate(savedInstanceState);
       setContentView(R.layout.options);
       
       //Plenem els tabs 
       mTabHost = getTabHost();       
       mResources = getResources();
       addTabUno();
       addTabDos();      
       mTabHost.setCurrentTab(0);
       
     
    }	
    private void addTabUno() {
       Intent intent = new Intent(this, HomeMapActivity.class);
       User usuari = ((FindMeApp) this.getApplication()).getUsuario();
       intent.putExtra("usuari", usuari);
       
       TabSpec spec = mTabHost.newTabSpec("Texto Tab1");
       spec.setIndicator("Me", mResources.getDrawable(android.R.drawable.ic_menu_mylocation));
       spec.setContent(intent);
       mTabHost.addTab(spec);
       
     
    }
    private void addTabDos() {
      Intent intent = new Intent(this, FriendsMapActivity.class);
      User usuari = ((FindMeApp) this.getApplication()).getUsuario();
      intent.putExtra("usuari", usuari);
      
      TabSpec spec = mTabHost.newTabSpec("Texto Tab2");
      spec.setIndicator("My friends", mResources.getDrawable(android.R.drawable.ic_menu_myplaces));
      spec.setContent(intent);
      mTabHost.addTab(spec);
    }
}
