package com.findme;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import com.findme.beans.User;

public class OptionsActivity extends FindMeActivity {

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.options);
        
        //Agafem les dades de l'usuari
        User usuari = ((FindMeApp) this.getApplication()).getUsuario();
        
        //Plenem les dades de l'usuari
        EditText login = (EditText) findViewById(R.id.idOptLogin);
        login.setText(usuari.getEmail());
        EditText name = (EditText) findViewById(R.id.idOptName);
        name.setText(usuari.getName());
        
        //Boto Save
        final Button save = (Button) findViewById(R.id.boto_save);
        save.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
            	//Guardem
            	
            	//Actualitzem l'objecte Usuari glogal
            }
        });
        
        //Boto Delete Account
        final Button delete = (Button) findViewById(R.id.botro_delete_account);
        delete.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
            	//Borrem el compte
            	
            	//Sortim de l'aplicació
            }
        });
        
        //Boto Cancel
        final Button cancel = (Button) findViewById(R.id.boto_cancel);
        cancel.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
            	//Anem enrere
            	finish();
            }
        });
        
        
    }

}
