package com.findme.beans;

import java.io.Serializable;
import java.util.Date;

public class User implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	protected int id;
	protected String email;
	protected String name;
	protected String password;
	protected int longitud;
	protected int latitud;
	protected boolean friend;
	protected Date last_seen;
	protected boolean profile;
	protected boolean autolocation;
	
	public User(int id, String name, String email, String password, 
			int longitud, int latitud, Date lastSeen, boolean friend, boolean profile, boolean autolocation) {
		this.id=id;
		this.email=email;
		this.name=name;
		this.password=password;
		this.longitud=longitud;
		this.latitud=latitud;
		this.friend = friend;
		this.last_seen = last_seen;
		this.profile = profile;
		this.autolocation = autolocation;
	}
	
	public User() {
		this(0,"","","",0,0,new Date(),false,false,false);
	}
	
	public int getId() {
		return id;
	}
	public void setId(int valor) {
		this.id = valor;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String valor) {
		this.email = valor;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public int getLongitud() {
		return this.longitud;
	}
	public void setLongitud(int valor) {
		this.longitud = valor;
	}
	public int getLatitud() {
		return this.latitud;
	}
	public void setLatitud(int valor) {
		this.latitud = valor;
	}
	public String getName() {
		return name;
	}
	public void setName(String valor) {
		this.name = valor;
	}
	public Date getLastSeen() {
		return last_seen;
	}
	public void setLastSeen(Date valor) {
		this.last_seen = valor;
	}
	public String toString() {
		return this.name + " ("+this.email+")";
	}

	public boolean isFriend() {
		return this.friend;
	}
	public boolean getProfile() {
		return profile;
	}
	public void setProfile(boolean valor) {
		this.profile = valor;
	}
	public boolean getAutolocation() {
		return autolocation;
	}
	public void setAutolocation(boolean valor) {
		this.autolocation = valor;
	}
}
