package com.findme.utils;

import org.json.JSONObject;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.widget.TextView;
import android.widget.Toast;

import com.findme.FindMeApp;

public class Alerta {
	
	public static void alerta(Context context, String title, String error) {
    	AlertDialog alertDialog = new AlertDialog.Builder(context).create();
	    alertDialog.setTitle(title);
	    alertDialog.setMessage(error);
	    alertDialog.setButton("OK", new DialogInterface.OnClickListener() {
	      public void onClick(DialogInterface dialog, int which) {
	    	  dialog.cancel();
	    	  return;
	    } });
	    alertDialog.show();
    }
	
	public static void alerta(Context context, String error) {
    	alerta(context, "Error", error);
    }
	

	public static void toast(Context context, TextView missatge) {
		Alerta.toast(context, missatge.toString());
	}
	public static void toast(Context context, String missatge) {
		Toast.makeText(context, missatge, Toast.LENGTH_SHORT).show();
	}
	
}
